
Redmine - Defect #15349

Email Notification :: sendmail :: Missing destination address

2013-11-14 04:07 - Richard Gomes

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.3

Description

Sympton:

When using method :sendmail, the resulting message does not contain the destination address.

config/configuration.yml

------------------------

production:

email_delivery:

delivery_method: :sendmail

The message below was generated, rejected and returned to the sender address. Notice that there are two fields "From:" but no field

"To:".

There should have a field "To:" containing the email address of an user the administrator registered manually.

============================================================

A message that you sent contained no recipient addresses, and therefore no

delivery could be attempted.

------ This is a copy of your message, including all the headers. ------

Date: Thu, 14 Nov 2013 02:46:02 +0000

From: redmine@apache.xkbmedia.com

From: xkbm.net@gmail.com

Message-ID: <5284396a4d0fe_12715cd85c6622c@apache.mail>

Subject: Your Redmine account activation

Mime-Version: 1.0

Content-Type: multipart/alternative;

boundary="--==_mimepart_5284396a45578_12715cd85c6618";

charset=UTF-8

Content-Transfer-Encoding: 7bit

X-Mailer: Redmine

X-Redmine-Host: localhost:3000

X-Redmine-Site: Redmine

X-Auto-Response-Suppress: OOF

Auto-Submitted: auto-generated

List-Id: <redmine.apache.xkbmedia.com>

X-rewrote-sender: redmine@apache.xkbmedia.com

----==_mimepart_5284396a45578_12715cd85c6618

Content-Type: text/plain;

charset=UTF-8

Content-Transfer-Encoding: 7bit

Your account information:

Login: rgomes

Password: XXXXXXXX

...
History

#1 - 2013-11-14 04:38 - Richard Gomes

Environment:

Redmine version                2.3.3.stable

Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               PostgreSQL

Redmine plugins:

no plugin installed

#2 - 2013-11-15 05:30 - Richard Gomes

Report about the same problem

See: https://github.com/mikel/mail/issues/70#issuecomment-2639987

It's a problem in Debian boxes.

Changing the default arguments, it's possible to circumvent the trouble.

Solution

Review your config/configuration.yml and make sure you define sendmail_settings arguments as shown below:

# default configuration options for all environments

default:

  email_delivery:    

    delivery_method: :sendmail

    sendmail_settings:

      arguments: "-i" 

#3 - 2013-11-15 06:17 - Richard Gomes

Documentation updated:

http://www.redmine.org/projects/redmine/wiki/EmailConfiguration#Error-Mail-failure-no-recipient-addresses

#4 - 2013-11-15 21:03 - Jean-Philippe Lang

- Status changed from New to Closed

Thanks for the update.
